http://bizzocall.com/faq/ - Is effective in most other browswers, however when I test drive it using the developer tools in IE 8 compatibility it simply crashes.

I have looked whatsoever the solutions also it appears like each individual has different problems (I have sought out stray commas, up-to-date jquery, etc).

Any assistance is much appreciated!

UPDATE

I discovered a wordpress plugin which was calling jquery 1.4 (Dave's WordPress Live Search) and took it off. Even though code appears cleaner still it pause IE 8.

UPDATE 2

Getting rid of the wordpress plugin appeared to become the secret.

Only for individuals that find this publish: It was running wordpress with thesis installed.

Try running IE without add-ons. Frequently the reason behind a complete-blown crash is definitely an add-on disturbing something. To get this done:

Start > All Programs > Add-ons > System Tools > Ie (No Add-ons)

If you cannot discover that then visit a run promt (Home windows Key + R) and kind iexplore.exe -extoff

When comment the script tag of fancybox, IE does not crash. But I'm not sure what's the cause.

You call jquery two times: jquery 1.6 and jquery 1.4.4. Appears this make the crash. But when you disable jquery 1.4.4, fancybox still causes the crash. Crippling jquery 1.6 steer clear of the crash.

My IE (IE 8. @ Home windows Server 2003) isn't wiped out after i go into the page.

Nevertheless the Javascript appears to help keep on running forever, because IE offers me to "Stop running script ... leading to Ie to operate gradually ... ". There is a Javascript error indication too. It states:

Webpage error details

User Agent: Mozilla/4.0 (compatible; MSIE 8.0; Windows NT 5.2; WOW64; Trident/4.0; .NET4.0C; .NET4.0E)
Timestamp: Fri, 13 May 2011 20:08:46 UTC


Message: Permission denied
Line: 133
Char: 374
Code: 0
URI: http://bizzocall.com/faq/wp-includes/js/jquery/jquery.js?ver=1.4.4

You stated you've up-to-date JQuery, but 1.4.4 does not appear to become the most recent version, will it?


UPDATE:

I went the Developer Tools (F12) to obtain the call stack and among the records within the stack (just in the centre) is:

    //jquery.fancybox-1.3.4.js lines 1040-1045 in the $.fancybox.init
    $('body').append(
        tmp = $('<div id="fancybox-tmp"></div>'),
        loading = $('<div id="fancybox-loading"><div></div></div>'),
        overlay = $('<div id="fancybox-overlay"></div>'),
        wrap = $('<div id="fancybox-wrap"></div>')
    );

UPDATE2:

I quit. My Javascript/JQuery understanding is simply too limited. And also the minified JQuery code does not appear to assist either. Debugging through such things as this.each(function(e){var g=f(this);a[0]=j.call(this,e,c?g.html():b),g.domManip(a,c,d)}) does not appear to become the simplest factor on the planet.

I would recommend running exactly the same code having a single JQuery instance (one version, it might be 1.4.4 if that is your pick) in development (unminified) version. Problems may arise when the bug does not happen then.

It crashes for me personally too in IE9 with IE8 mode. (see development tools -> F12 ) Should you disable javascript, it does not crash.. therefore it is a javascript problem. I see that you're loading 3 different version of jQuery, might be that?

EDIT. I had been while using debugger, and also got frozen throughout execution of jQuery 1.44 (You're loading this library within the footer from Google CDN )

It appears that many likely you've got a trailing comma, not always a stray one. For instance:

{
  "hello":"world",
  "foo":"bar"
}

Works fine, but when you probably did:

{
  "hello":"world",
  "foo":"bar",
}

It might totally kill IE. Search for that or possibly provide us with more hints in regards to what the mistake is.